tigase.disteventbus.component.stores

## Class SubscriptionStore

- java.lang.Object
- - tigase.disteventbus.component.stores.SubscriptionStore

-     public class SubscriptionStore
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Logger` | `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubscriptionStore()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSubscription(String name, String xmlns, Subscription subscription)`
    `Collection<Subscription>` | `getAllData()`
    `Set<EventName>` | `getSubscribedEvents()`
    `Collection<Subscription>` | `getSubscribersJIDs(String name, String xmlns)`
    `boolean` | `hasSubscriber(String eventName, String eventXmlns)`
    `void` | `remove(Subscription jid)`
    `void` | `removeSubscription(String eventName, String eventXmlns, Subscription jidInstanceNS)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected final Logger log

  - ### Constructor Detail

    - #### SubscriptionStore

          public SubscriptionStore()

  - ### Method Detail

    - #### addSubscription

          public void addSubscription(String name,
                                      String xmlns,
                                      Subscription subscription)

    - #### getAllData

          public Collection<Subscription> getAllData()

    - #### getSubscribedEvents

          public Set<EventName> getSubscribedEvents()

    - #### getSubscribersJIDs

          public Collection<Subscription> getSubscribersJIDs(String name,
                                                             String xmlns)

    - #### hasSubscriber

          public boolean hasSubscriber(String eventName,
                                       String eventXmlns)

    - #### remove

          public void remove(Subscription jid)

    - #### removeSubscription

          public void removeSubscription(String eventName,
                                         String eventXmlns,
                                         Subscription jidInstanceNS)

Copyright © 2018 "Tigase, Inc.". All rights reserved.